PDA

View Full Version : Official nForce 15.17 drivers XP/Vista NF4 and up


SJA06
06-14-08, 11:04 AM
New official drivers for nForce4 to 7 boards, and first official update for the older boards since 06

http://www.nvidia.com/Download/index.aspx?lang=en-us

Version: 15.17
Release Date: June 9, 2008
Language: U.S. English
File Size: 52.9 MB

Ethernet Driver (v67.80) WHQL
SATAIDE Driver (v10.3.0.21) WHQL
SATARAID Driver (v10.3.0.21) WHQL
RAIDTOOL Application (v10.3.0.21)
SMU Driver (v1.45) WHQL
SMBus Driver (v4.64) WHQL
Installer (v5.93)

nForce 790i Ultra SLI
nForce 790i SLI
nForce 780i SLI
nForce 750i SLI
nForce 680i SLI
nForce 680a SLI
nForce 680i LT SLI
nForce 650i SLI
nForce 650i Ultra
nForce 590 SLI Intel
nForce 590 SLI AMD
nForce 570 SLI Intel
nForce 570 SLI AMD
nForce 570 Ultra AMD
nForce 560
nForce 550
nForce 520
nForce4 SLI X16 Intel
nForce4 SLI X16 AMD
nForce4 SLI Intel
nForce4 SLI AMD
nForce4 SLI XE Intel
nForce4 Ultra Intel
nForce4 Ultra AMD
nForce4 AMD
nForce Professional 3000 Series
nForce Professional 2000 Series

CapnKirk
06-14-08, 02:35 PM
saw them, but when i loaded xp pro 32 i used the 9.64 version when i did the f6 deal to load raid drivers, so have to re-install to use these?

malachi1313
06-15-08, 12:09 PM
They work fine for me on a 780i.

Medion
06-15-08, 12:59 PM
nVidia still has the driver downloads a little messed up.

It is not recommended to download and install any of the brandnew nForce chipset driver packs v15.17, which NVIDIA is currently presenting on their homepage for Vista (32/64bit) and Windows XP (32/64bit), because they messed up a lot of things:
1. The "Vista" packs contain the XP drivers and vice versa.
2. If you choose the english (US) version, you get the international one.
3. Some users reported, that NVIDIA even mixed 32/64bit driver/installer versions.
4. The NVIDIA website list with nForce chipsets, which are supported by the new chipset droiver pack 15.17, is not correct (nForce4 Intel chipsets are listed, but not supported by the nForce IDE drivers v10.3.0.21, whereas the nForce 430/410/405/400 chipsets are not listed, but supported).

I recommend to be patient and to wait until NVIDIA has corrected their websites.

Update:
Meanwhile NVIDIA obviously has repaired their download links and the package file names.
If you choose the XP (32/64bit) driver version, you won't get Vista drivers anymore (and vice versa).